SoTransformBoxManip(3)

NAME
SoTransformBoxManip - The SoTransformBoxManip wraps an SoTransformBoxDragger for convenience.

SYNOPSIS

#include <Inventor/manips/SoTransformBoxManip.h>

Inherits SoTransformManip.

  Public Member Functions
virtual SoType getTypeId (void) const
SoTransformBoxManip (void)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoTransformBoxManip (void)

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoTransformBoxManip wraps an SoTransformBoxDragger for convenience. The manipulator class takes care of wrapping up the SoTransformBoxDragger in a simple and convenient API for the application programmer, making it automatically surround the geometry it influences and taking care of the book-keeping routines for its interaction with the relevant fields of an SoTransformation node.

 Example of TransformBox Manipulator

Here's a simple usage example, in the form of an Inventor format file:

#Inventor V2.1 ascii
Separator {
   TransformBoxManip { }
   Group {
      Cone { }
   }
}
Translation { translation 2 4 0 }
Separator {
   TransformBoxManip { }
   Group {
      Sphere { }
   }
}.fi

Constructor & Destructor Documentation

  SoTransformBoxManip::SoTransformBoxManip (void)
Default constructor. Allocates an SoTransformBoxDragger and an SoSurroundScale node to surround the geometry within our part of the scene graph.

  SoTransformBoxManip::~SoTransformBoxManip (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoTransformBoxManip::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoTransformBoxManip::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoTransformManip.

  const SoFieldData ** SoTransformBoxManip::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoTransformBoxManip::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoTransformManip.

Author

Generated automatically by Doxygen for Coin from the source code.